/* exec */
.highlight {
    margin-top: auto;
    margin-bottom: auto;
}

.code {
    background-color: var(--bg-codeblock-color);
    border-radius: 10px;
    display: flex;
    flex-direction: row;
    line-height: normal;
    margin: 10px 0;
    max-width: 100%;
    min-width: 100px;
    overflow-x: scroll;
    padding: 10px;
    place-content: space-between;
    position: relative;
}

code:not(pre>code) {
    background-color: rgba(0, 0, 0, 0.1);
    border: 1px solid rgba(0, 0, 0, 0.11);
    border-radius: 5px;
    color: var(--primary-color);
    font: .75em Monaco, Consolas, "Andale Mono", "DejaVu Sans Mono", monospace;
    font-weight: bold;
    padding: 0 5px;
    white-space: nowrap;
}

.article-item-title code:not(pre>code) {
    color: inherit;
    background-color: rgba(0, 0, 0, 0.15);
    border: 1px solid rgba(0, 0, 0, 0.16);
}

.copy-button {
    background-color: var(--secondary-color);
    border-style: none;
    border-radius: 8px;
    color: #FFFFFF;
    cursor: pointer;
    flex-shrink: 0;
    height: 40px;
    line-height: 20px;
    padding: 10px 16px;
    position: sticky;
    right: 10px;
}

.code::-webkit-scrollbar {
    height: 0;
}

.prolo-codeblock {
    background-color: #2e2e2e;
    border-radius: 10px;
    color: var(--bg-color);
    margin: 10px 0;
    max-width: 100%;
    min-width: 100px;
    padding: 10px;
    position: relative;
}

.prolo-codeblock code {
    background-color: var(--bg-codeblock-color);
}

#yourcode {
    background-color: var(--bg-codeblock-color);
    color: var(--bg-color);
}

.prolo-codeblock-input-box {
    display: flex;
    justify-content: space-between;
    padding: 10px;
}

.prolo-codeblock-run-btn {
    background-color: var(--secondary-color);
    border-radius: 8px;
    border-style: none;
    color: #FFFFFF;
    cursor: pointer;
    height: 40px;
    line-height: 20px;
    margin: 10px;
    padding: 10px 16px;
    position: absolute;
    right: 20px;
}

.prolo-codeblock-result {
    color: var(--bg-color);
    margin: 20px;
}

iframe.prolo-codeblock-result {
    background-color: white;
    width: 95%;
    height: 250px;
}

pre.prolo-codepython-output {
    background-color: var(--bg-codeblock-color);
    padding: 0 10px;
    margin: 0 -10px;
    flex-grow: 1;
    white-space: pre-wrap;
}

/*** html error ***/
.prolo-codehtml-error {
    background-color: #FF6161;
    border-radius: 10px;
    color: #000000;
    padding: 1em;
    text-align: center;
    margin-top: 1em;
}

/*** scratch blocks ***/

.blocks {
    text-align: center;
}

/*** responsive ***/

@media screen and (max-width: 1000px) {
    iframe.prolo-codeblock-result {
        width: calc(100% - 40px);
    }
}
